<?php

	/* Bloqueia acesso externo */
	$referer = explode('/', $_SERVER["HTTP_REFERER"]);
	$confirma_site_url = explode('/', $site_url);
	if($referer[2]!=''.$confirma_site_url[2].'') { echo "Error External";sleep(rand(2,4)); exit(); }

	//Honeypot
	$phone_hp = $_POST['phone_hp'];

	if (!empty($phone_hp)){
		sleep ( rand ( 2, 4 ));
		echo 'Sua mensagem foi identificada como spam!';
		exit();
	}

	if(empty($_POST["nome"])) {
		sleep ( rand ( 2, 4 ));
		echo 'Campos obrigatórios não preenchidos.';
		exit();
	}

?>